[Extras-cauldron-commits] r92 - in trunk: . misc

ed_ at garage.maemo.org ed_ at garage.maemo.org
Tue Aug 19 21:32:14 EEST 2008


Author: ed_
Date: 2008-08-19 21:32:13 +0300 (Tue, 19 Aug 2008)
New Revision: 92

Added:
   trunk/misc/
   trunk/misc/upload.sh
Log:
upload.sh added


Added: trunk/misc/upload.sh
===================================================================
--- trunk/misc/upload.sh	                        (rev 0)
+++ trunk/misc/upload.sh	2008-08-19 18:32:13 UTC (rev 92)
@@ -0,0 +1,29 @@
+#!/bin/bash
+
+devel=
+build=
+while getopts 'db' OPTION ; do
+    case $OPTION in
+        d)    devel="-devel"
+              ;;
+	b)    build="-builder"
+	      devel="-devel"
+	      ;;
+        ?)    exit 1
+              ;;
+    esac
+done
+shift $(($OPTIND - 1))
+
+erepo=$1
+shift
+if [ -z "$erepo" -o -z "$1" ] ; then
+    echo "Usage: `basename $0` [-d|-b] <repo> <.changes>"
+    exit
+fi
+grep '^ \([^ ]\+\) \([^ ]\+\) \([^ ]\+\) \([^ ]\+\) \([^ ]\+\)$' $1 | \
+while read md5sum size section type file; do
+    scp $file garage.maemo.org:/var/www/extras$devel/incoming$build/$erepo/
+done
+scp $1 garage.maemo.org:/var/www/extras$devel/incoming$build/$erepo/
+


Property changes on: trunk/misc/upload.sh
___________________________________________________________________
Name: svn:executable
   + *



More information about the Extras-cauldron-commits mailing list